quotacheck(8)

NAZWA
quotacheck - przeszukuje system plików w celu określenia wykorzystania dysku oraz tworzy, sprawdza i naprawia pliki kwot

SKŁADNIA
quotacheck [ -gubcfinvdMmR ] [ -F nazwa-formatu ] -a | system-plików

OPIS
quotacheck bada każdy z systemów plików, tworzy tablicę zajętości dysku i porównuje ją z tablicą zapisaną w pliku kwot dyskowych systemu plików (krok ten jest pomijany w przypadku podania opcji -c). Jeśli stwierdzone zostaną rozbieżności, to aktualizowane są zarówno plik kwot, jak i aktualna systemowa kopia nieprawidłowych kwot (to ostatnie ma miejsce jedynie podczas sprawdzania aktywnego systemu plików, co nie jest zalecane). Domyślnym zachowaniem jest sprawdzanie jedynie kwot dyskowych użytkowników. quotacheck oczekuje, że każdy ze sprawdzanych systemów plików zawiera pliki kwot o nazwach [a]quota.user i [a]quota.group, umieszczone w głównym katalogu danego systemu plików. Jeśli plik nie istnieje, to quotacheck go utworzy.

Jeśli plik kwot jest uszkodzony, to quotacheck spróbuje zachować tyle danych, ile będzie możliwe. Odzyskiwanie danych może wymagać interwencji użytkownika. Bez dodatkowych opcji, quotacheck w takiej sytuacji po prostu zakończy pracę. W trybie interakcyjnym (opcja -i), użytkownik jest proszony o poradę. Porady można udzielić z linii poleceń (patrz opcja -n), co jest przydatne podczas automatycznego uruchamiania quotacheck (np. ze skryptu) i niepowodzenie jest nie do przyjęcia.

quotacheck powinno być uruchamiane każdorazowo gdy system startuje i montuje niepoprawne systemy plików. Najczęściej zdarza się to po awarii systemu.

Jest wysoce zalecane, aby uruchamiać quotacheck przy wyłączonych dla danego systemu plików kwotach. W przeciwnym razie, mogą wystąpić uszkodzenia lub utrata danych w plikach kwot. Nie jest również rozsądnym uruchamianie quotacheck na aktywnym systemie plików, gdyż aktualne zużycie zasobów może ulec zmianie podczas przeszukiwania. Aby temu zapobiec, quotacheck próbuje przełączyć system plików w tryb "tylko do odczytu", zanim rozpocznie przeszukiwanie. Po zakończeniu przeszukiwania system plików jest przełączany w tryb "do odczytu i zapisu". Można to wyłączyć za pomocą opcji -m. Można również za pomocą opcji -M spowodować, aby quotacheck ignorował niepomyślne przełączenie systemu plików w tryb "tylko do odczytu".

OPCJE

-b  Wymusza tworzenie przez quotacheck kopii zapasowych pliku kwot przed zapisaniem nowych danych.

-v, --verbose
    Sygnalizuje przez quotacheck postęp operacji. Normalnie, działa on po cichu. Jeśli poda się tę opcję dwukrotnie, wypisywany jest również bieżący katalog (proszę zauważyć, że może to spowolnić przeszukiwanie, w dający się odczuć sposób).

-d, --debug
    Tryb odpluskwiania. Podaje mnóstwo informacji, które mogą posłużyć do wyszukiwania błędów w programie. Wynik jest bardzo szczegółowy a przeszukiwanie - powolne.

-u, --user
    Sprawdza jedynie kwoty dyskowe użytkowników na systemach plików wymienionych w /etc/mtab lub podanych w linii poleceń. Jest to zachowanie domyślne.

-g, --group
    Sprawdza jedynie kwoty dyskowe grup na systemach plików wymienionych w /etc/mtab lub podanych w wierszu linii polecenia.

-c, --create-files
    Nie czyta istniejących plików kwot. Po prostu wykonuje przeszukanie i zapisuje jego wyniki na dysku. quotacheck pominie również poszukiwanie starych plików kwot, gdy ich nie znajdzie.

-f, --force
    Wymusza sprawdzanie systemu plików przy włączonych kwotach. Jest to niezalecane, gdyż utworzone pliki kwot mogą być nieaktualne.

-M, --try-remount
    Opcja ta wymusza sprawdzanie systemu plików w trybie "do odczytu i zapisu", gdy przełączenie w tryb "tylko do odczytu" się nie powiedzie. Należy to robić, gdy ma się pewność, że żaden proces nie zapisuje na przeszukiwanym systemie plików.

-m, --no-remount
    Omija próby przełączenia systemu plików w tryb "tylko do odczytu". Patrz komentarz do opcji -M.

-i, --interactive
    Tryb interaktywny. Domyślnie, quotacheck kończy pracę po wykryciu błędu. W trybie interaktywnym użytkownik jest pytany o decyzję. Patrz opcja -n.

-n, --use-first-dquot
    Jeśli plik kwot jest uszkodzony, mogą pojawić się podwójne wpisy dla poszczególnych identyfikatorów użytkowników lub grup. Normalnie, w takiej sytuacji quotacheck kończy pracę lub pyta użytkownika o decyzję. Przy włączeniu tej opcji, używany jest zawsze pierwszy wpis (działa ona również w trybie interakcyjnym).

-F, --format=nazwa-formatu
    Sprawdza kwoty według podanego formatu (tzn. nie jest wykonywane automatyczne wykrywanie formatu). Jest to zalecane, gdyż detekcja może nie działać poprawnie w przypadku uszkodzonych plików kwot. Dozwolone są następujące nazwy formatów: vfsold - pierwotny format udziałów z 16-bitowymi UID-ami/GID-ami, vfsv0 - format udziałów z 32-bitowymi UID-ami/GID-ami, 64-bitowe użycie przestrzeni, 32-bitowe użycie i-węzłów oraz limity, vfsv1 - format udziałów z 64-bitowymi limitami i użyciem, rpc - udziały poprzez NFS, xfs - udziały w systemie plików XFS.

-a, --all
    Sprawdza wszystkie zamontowane, różne od NFS systemy plików wymienione w /etc/mtab

-R, --exclude-root
    Używane w połączeniu z opcją -a powoduje sprawdzenie kwot na wszystkich systemach plików, oprócz głównego.

UWAGA
quotacheck powinno być uruchamiane tylko przez superużytkownika. Użytkownicy nieuprzywilejowani przypuszczalnie nie mają praw do odczytu wszystkich katalogów danego systemu plików.

ZOBACZ TAKŻE
quota(1), quotactl(2), fstab(5), quotaon(8), repquota(8), convertquota(8), setquota(8), edquota(8), fsck(8), efsck(8), e2fsck(8), xfsck(8)

PLIKI
aquota.user lub aquota.group
    pliki kwot umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    nazwy i lokalizacja zamontowanych systemów plików

AUTOR
Jan Kara <jack@suse.cz>
W oparciu o starą wersję quotacheck autorstwa:
Edvarda Tuindera <ed@elm.net>
Marco van Wieringena <mvw@planets.elm.net>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl>, Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.01 oryginału.